summaryrefslogtreecommitdiff
path: root/taler-docbuild/update_tutorials.sh
diff options
context:
space:
mode:
Diffstat (limited to 'taler-docbuild/update_tutorials.sh')
-rwxr-xr-xtaler-docbuild/update_tutorials.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/taler-docbuild/update_tutorials.sh b/taler-docbuild/update_tutorials.sh
new file mode 100755
index 0000000..793f7b6
--- /dev/null
+++ b/taler-docbuild/update_tutorials.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
+}
+
+cd $HOME/tutorials
+fetch
+make
+cp php/doc/tutorial.pdf $HOME/build/merchant-frontend/php/pdf/
+cp php/doc/tutorial.html $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.css $HOME/build/merchant-frontend/php/html/
+cp php/doc/*.jpg $HOME/build/merchant-frontend/php/html/
+cp python/doc/tutorial.pdf $HOME/build/merchant-frontend/python/pdf/
+cp python/doc/tutorial.html $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.css $HOME/build/merchant-frontend/python/html/
+cp python/doc/*.jpg $HOME/build/merchant-frontend/python/html/